## org.apache.lucene.queryParser.surround.parser
Interface QueryParserConstants

All Known Implementing Classes:
  QueryParser, QueryParserTokenManager

    public interface QueryParserConstants

Field Summary
`static int` `_DISTOP_NUM`
`static int` `_NUM_CHAR`
`static int` `_ONE_CHAR`
`static int` `_STAR`
`static int` `_TERM_CHAR`
`static int` `_WHITESPACE`
`static int` `AND`
`static int` `Boost`
`static int` `CARAT`
`static int` `COLON`
`static int` `COMMA`
`static int` `DEFAULT`
`static int` `EOF`
`static int` `LPAREN`
`static int` `N`
`static int` `NOT`
`static int` `NUMBER`
`static int` `OR`
`static int` `QUOTED`
`static int` `RPAREN`
`static int` `SUFFIXTERM`
`static int` `TERM`
`static String[]` `tokenImage`
`static int` `TRUNCQUOTED`
`static int` `TRUNCTERM`
`static int` `W`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### _NUM_CHAR

    static final int _NUM_CHAR

See Also:
  Constant Field Values

### _TERM_CHAR

    static final int _TERM_CHAR

See Also:
  Constant Field Values

### _WHITESPACE

    static final int _WHITESPACE

See Also:
  Constant Field Values

### _STAR

    static final int _STAR

See Also:
  Constant Field Values

### _ONE_CHAR

    static final int _ONE_CHAR

See Also:
  Constant Field Values

### _DISTOP_NUM

    static final int _DISTOP_NUM

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### W

    static final int W

See Also:
  Constant Field Values

### N

    static final int N

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### CARAT

    static final int CARAT

See Also:
  Constant Field Values

### TRUNCQUOTED

    static final int TRUNCQUOTED

See Also:
  Constant Field Values

### QUOTED

    static final int QUOTED

See Also:
  Constant Field Values

### SUFFIXTERM

    static final int SUFFIXTERM

See Also:
  Constant Field Values

### TRUNCTERM

    static final int TRUNCTERM

See Also:
  Constant Field Values

### TERM

    static final int TERM

See Also:
  Constant Field Values

### NUMBER

    static final int NUMBER

See Also:
  Constant Field Values

### Boost

    static final int Boost

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.